# Uses of Interface
org.eclipse.debug.core.model.IBreakpointImportParticipant

Packages that use IBreakpointImportParticipant
Package
Description
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.

## Uses of IBreakpointImportParticipant in org.eclipse.debug.core

Methods in org.eclipse.debug.core that return IBreakpointImportParticipant
Modifier and Type
Method
Description
`IBreakpointImportParticipant[]`
IBreakpointManager.`getImportParticipants(String markertype)`
Returns an array of `IBreakpointImportParticipant`s for the given breakpoint marker id, never `null`.

## Uses of IBreakpointImportParticipant in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions with parameters of type IBreakpointImportParticipant
Modifier and Type
Method
Description
`protected IMarker`
ImportBreakpointsOperation.`findExistingMarker(Map<String,Object> attributes, IBreakpointImportParticipant[] participants)`
Returns a marker backing an existing breakpoint based on the given set of breakpoint attributes
`protected void`
ImportBreakpointsOperation.`restoreBreakpoint(IMarker marker, Map<String,Object> attributes, IBreakpointImportParticipant[] participants)`
restores all of the attributes back into the given marker, recreates the breakpoint in the breakpoint manager, and optionally recreates any working set(s) the breakpoint belongs to.